Bug 767737 - patch for eric
patch for eric
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PyXML (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 843176
  Show dependency treegraph
 
Reported: 2011-12-14 14:01 EST by Rex Dieter
Modified: 2014-01-12 19:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 14:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-12-14 14:01:12 EST
eric, a python IDE, requires a fixed PyXML apparently.

its README-PyXML mentions:


PyXML has a problem calculating the datasize of the data read from an XML file.
In order to correct this, make the adjustment shown below.

Near the end of method parse_xml_decl (in PyXML 0.8.3 this is at line
723) in _xmlplus.parsers.xmlproc.xmlutils:

        try:
            self.data = self.charset_converter(self.data)
            self.datasize = len(self.data)  ### ADD THIS LINE
        except UnicodeError, e:
            self._handle_decoding_error(self.data, e)
        self.input_encoding = enc1

Here is the change as a diff.

--- _xmlplus/parsers/xmlproc/xmlutils.py.orig        2006-11-13 11:30:07.768059659 +0100
+++ _xmlplus/parsers/xmlproc/xmlutils.py     2006-11-13 11:30:38.871925067 +0100
@@ -720,6 +720,7 @@ class XMLCommonParser(EntityParser):
             # to the recoding.
             try:
                 self.data = self.charset_converter(self.data)
+                self.datasize = len(self.data)
             except UnicodeError, e:
                 self._handle_decoding_error(self.data, e)
             self.input_encoding = enc1
Comment 1 Rex Dieter 2011-12-14 14:02:05 EST
I can do the work to apply the patch to packaging, if you have no objections.
Comment 2 Toshio Ernie Kuratomi 2013-01-11 14:42:04 EST
Eric's pyxml dep has been removed.  Work on removing PyXML for F19 is proceeding.  https://fedoraproject.org/wiki/Features/RemovePyXML

Closing this as fixed in rawhid.

Note You need to log in before you can comment on or make changes to this bug.